Redmine - Defect #3744

Some functions are returning a internal error
2009-08-15 20:53 - Wanderson Santiago dos Reis

Status: Closed Start date: 2009-08-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: No feedback Affected version: 0.8.4
Description

On error browser:

Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your redMine administrator for assistance.

Back

My instalation is using proxy reverse. | do not have access a some functions like edit my account, show diffs, and gantt chart.
anyone can help me?
See log bellow, is the same always.

Processing RepositoriesController#diff (for 201.58.176.189 at 2009-08-15 15:42:26) [GET]

Session ID: 7e0dca179a5fbca3dfb7670170e29cca

Parameters: {"rev"=>"75", "action"=>"diff", "id"=>"sistema-academico", "controller"=>"repositories", "path"=>["trunk", "app",
"dispensa_disciplina", "busca_contratos.php"]}

TypeError (can't dup FalseClass):

/app/models/user_preference.rb:45:in "dup’

/app/models/user_preference.rb:45:in “[]='
/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:173:in “send'
/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:173:in “method_missing'
/app/controllers/repositories_controller.rb:164:in "diff’
/vendor/rails/actionpack/lib/action_controller/base.rb:1166:in “send'
/vendor/rails/actionpack/lib/action_controller/base.rb:1166:in “perform_action_without_filters'
/vendor/rails/actionpack/lib/action_controller/filters.rb:579:in “call_filters'
/vendor/rails/actionpack/lib/action_controllerffilters.rb:572:in “perform_action_without_benchmark'’
/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perform_action_without_rescue'
/ust/lib/ruby/1.8/benchmark.rb:293:in “'measure'
/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perform_action_without_rescue'
/vendor/rails/actionpack/lib/action_controller/rescue.rb:201:in “perform_action_without_caching'
/vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:13:in “perform_action’
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in “cache’
/vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in “cache’
/vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:12:in “perform_action’
/vendor/rails/actionpack/lib/action_controller/base.rb:529:in “send’
/vendor/rails/actionpack/lib/action_controller/base.rb:529:in “process_without_filters'
/vendor/rails/actionpack/lib/action_controller/filters.rb:568:in “process_without_session_management_support'
/vendor/rails/actionpack/lib/action_controller/session_management.rb:130:in “process'
/vendor/rails/actionpack/lib/action_controller/base.rb:389:in “process'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:149:in “handle_request’
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in “dispatch’
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in “synchronize'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in "dispatch’
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in “dispatch_cgi'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in “dispatch’
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:76:in “process'
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in “synchronize'
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in "process'
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:159:in “process_client’
/ust/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in “each’
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in “process_client'
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in “run'
/ust/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in initialize'
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in “new'
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in “run'
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in “initialize'
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in "new’
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in “run'
/ust/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:282:in “run'
/ust/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in “each’
/ust/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in “run'
/ust/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:128:in “run'’
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/command.rb:212:in “run'
/usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281
/usr/bin/mongrel_rails:19:in “load'

/usr/bin/mongrel_rails:19

History

#1 - 2009-08-15 22:51 - Eric Davis

Can you include the details of your environment? Submissions

#2 - 2009-11-11 17:37 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to No feedback
https://www.redmine.org/projects/redmine/wiki/Submissions#Submitting-a-Bug
http://www.tcpdf.org

